<?
function opt_form()
{
global $db_name, $host_name, $db_user, $db_password, $table_ads, 
$urlclscrpt, $opt_header, $opt_footer, $adm_passw, $adm_email,
 $photos_path, $usevrfcode, $plcntdtl,$vstminnmbr,
$plcntpml,$voterate,$maxvalrate,$uselogsvmv, $exprlogs, $table_logs, $use_spmg,
$exp_period, $adsonpage, $sndadmnotif, $moderating, $hltadsf,$exp_perdhlt,$dsplhltpht,
 $pradsdupl,$tmltads, $privacy_mail, $pmailtp, $sendcopytoadm, $redirtoadm, $sndexpmsg1,
$photos_count,$phptomaxsize, $incl_mtmdfile, $mtmdfile_maxs, $flattchext, $plsflsrvrs, $infldflsrv,
$prphscnd, $maximgswith, $resphdb, $maxpixph, $ppactv, $pladddp,$mbac_sndml, $mbac_addad,$mbac_second,
$jsfrmch, $schallusrads, $ch_nmusr, $usrads_max, $usrads_chcktime, $titleclpg, $html_header, $html_footer,
$moderating_ct, $moderating_vl, $mbac_second_vl, $mbac_second_ct, 
$mbac_addad_vl, $mbac_addad_ct, $mbac_sndml_vl, $mbac_sndml_ct,
$adsontoppage, $colr_hltads, $capt_hltads, $tpadsindd, $bc2adsfrm, $width_2tpf, $adbnrcll, $fntclr_3, 
$fntclr_2, $tbclr_5, $fntclr_1, $tbclr_4, $tbclr_3, $tbclr_2, $tbclr_1, $prphscrwdth, $incl_prevphoto,
$ad_ind_width, $top_page_width, $maximgswith, $prphscnd, $ad_second_width, $detl_leftcol, $ind_leftcol, 
$btmtophtml, $top_rightcol, $top_leftcol, $prwdly, $photos_url,$setctlntp, $prphscr  ;

echo "
<p>
<a href='admconf.php'><b>Top:</b></a><br>
<form action='admconf.php?mdopt=saveopts' method='post'>

<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp; MySQL Settings
</td></tr></table>

 
<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>
Database host name:<br>
<input type='text' name='host_name' value='".opt_qt($host_name)."' class='formst'><p>
Database  user's name:<br>
<input type='text' name='db_user' value='".opt_qt($db_user)."' class='formst'><p>
Database  user's password:<br>
<input type='text' name='db_password' value='".opt_qt($db_password)."' class='formst'><p>
</td><td valign='top' width='50%'>
Database name:<br> 
<input type='text' name='db_name' value='".opt_qt($db_name)."' class='formst'><p>
Name of database table for ads:<br>
<input type='text' name='table_ads' value='".opt_qt($table_ads)."' class='formst'><p>
</td></tr></table>

<input type='submit' value='Save MySQL Options' class='formst1'>
<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp; General  Options
</td></tr></table>

<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>
<p align='justify'> 
Admin password:<br>
<input type='text' name='adm_passw' value='".opt_qt($adm_passw)."' class='formst'><p>
Admin e-mail:<br>
<input type='text' name='adm_email' value='".opt_qt($adm_email)."' class='formst'>

<p align='justify'> 
Set the base of the path of the directory <br> where
 photos files will be kept:<br>
<input type='text' name='photos_path' value='".opt_qt($photos_path)."' class='formst' size='40'> 

<p align='justify'> 
Set the base to the URL of the directory <br> where
 all photos files will be kept:<br>
<input type='text' name='photos_url' value='".opt_qt($photos_url)."' class='formst' size='40'>

<p align='justify'>
URL of the classified script directory:<br>
<font class=fnts1>(It should be filled out only when membership subscribing <br>
or e-mail notifications are used)</font><br> 
<input type='text' name='urlclscrpt' value='".opt_qt($urlclscrpt)."' class='formst' size='40'> 

 

<p>

Expiration period for ads (days):
<input type='text' name='exp_period' value='".opt_qt($exp_period)."' class='formst'>


<p align='justify'> 
 Use verification code for ads submitting, sending privacy mail, 
 membership subscribing:<br>
<select name='usevrfcode' class='formst'>
<option>".opt_qt($usevrfcode)."<checked><option>yes<option>no</select>


<p>
Number of ads displayed on the index page:<br>
<input type='text' name='adsonpage' value='".opt_qt($adsonpage)."' class='formst'>

<p>
Number of latest ads displayed <br> on the top page (for layout 1):<br>
<input type='text' name='adsontoppage' value='".opt_qt($adsontoppage)."' class='formst'>
 
 
<p align='justify'>
Protection for ads duplication:<br>.
<select name='pradsdupl' class='formst'>
<option>".opt_qt($pradsdupl)."<checked><option>yes<option>no</select>

<p align='justify'>
Time (days) for latest ads link <br> on the top page (for layout 2):<br>
<input type='text' name='tmltads' value='".opt_qt($tmltads)."' class='formst'> 

 


</td><td valign='top' width='50%'>
 
<p align='justify'>
Set up cities list on the top page:<br>
<select name='setctlntp' class='formst'>
<option>".opt_qt($setctlntp)."<checked><option>yes<option>no</select>

<p align='justify'>
Set up JavaScript checking of  ads fields on submitting form:<br>
<select name='jsfrmch' class='formst'>
<option>".opt_qt($jsfrmch)."<checked><option>yes<option>no</select>
  
<p align='justify'> 
Place 'visits counter' on ads details pages:<br>
<select name='plcntdtl' class='formst'>
<option>".opt_qt($plcntdtl)."<checked><option>yes<option>no</select>

<p align='justify'> 
Minimum number of visits that allows to place an ad into 
 top visited list:<br>
<input type='text' name='vstminnmbr' value='".opt_qt($vstminnmbr)."' class='formst'> 

<p align='justify'> 
 Place 'contacts counter' (how many privacy mails have been sent to ad owner) 
 on ads details pages:<br>
<select name='plcntpml' class='formst'>
<option>".opt_qt($plcntpml)."<checked><option>yes<option>no</select>

<p align='justify'> 
set up ability for users to vote and rate ads:<br>
<select name='voterate' class='formst'>
<option>".opt_qt($voterate)."<checked><option>yes<option>no</select>
 

<p align='justify'> 
set up max value for rate:<br>
<input type='text' name='maxvalrate' value='".opt_qt($maxvalrate)."' class='formst'> 

<p align='justify'> 
Use IP logs to count only one visit, contact message and vote 
  of the same user for the same ad:<br>
<select name='uselogsvmv' class='formst'>
<option>".opt_qt($uselogsvmv)."<checked><option>yes<option>no</select>

<p align='justify'> 
Name of mysql table for logs:<br>
<input type='text' name='table_logs' value='".opt_qt($table_logs)."' class='formst'> 

<p align='justify'> 
Expiration period for logs (days):<br>
<input type='text' name='exprlogs' value='".opt_qt($exprlogs)."' class='formst'> 

<p align='justify'>
 Place on detailed ad page special link to search 
 all ads posted by a user ( search with the same contact e-mail )
 if user place more than 1 ad:<br>
<select name='schallusrads' class='formst'>
<option>".opt_qt($schallusrads)."<checked><option>yes<option>no</select>

</td></tr></table>

<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp; Moderating, Spam Guard
</td></tr></table>

<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>

Set up moderating:<br>
<select name='moderating' class='formst'>
<option>".opt_qt($moderating)."<checked><option>yes<option>no</select>
&nbsp;
<font   class='fnt4'   OnClick=\"displ('mdrt');\">
Special Option
</font>
<DIV id='mdrt' style='DISPLAY: none'>
Set up  different  moderating option:<br>
<select name='moderating_vl' class='formst'>
<option>".opt_qt($moderating_vl)."<checked><option>yes<option>no</select>
<br> for the following categories:<br>
<input type='text' name='moderating_ct' value='".opt_qt($moderating_ct)."' class='formst' size='40'>
<br> 
<font style='FONT-SIZE: 11px;'>(set up list of the categories in the format:  
<center><font style='color: #000099;'>catname1,catname2,catname3</font> </center>  where
<font style='color: #000077;'>catname1, ...</font> - are the short names of the categories)</font>
</div>


<p align='justify'> 
Using Spam Guard:<br>
<select name='use_spmg' class='formst'>
<option>".opt_qt($use_spmg)."<checked><option>yes<option>no</select>

 
</td><td valign='top' width='50%'>

Check number of placed ads per time period by each user:<br>   
<select name='ch_nmusr' class='formst'>
<option>".opt_qt($ch_nmusr)."<checked><option>yes<option>no</select>
 
<p align='justify'>
if you set up 'yes' for previous option, set up max number of ads allowed to place:<br> 
<input type='text' name='usrads_max' value='".opt_qt($usrads_max)."' class='formst'>

<p align='justify'>
and time period (days) for check:<br> 
<input type='text' name='usrads_chcktime' value='".opt_qt($usrads_chcktime)."' class='formst'>
 
</td></tr></table>

<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp; Highlighting Ads
</td></tr></table>

<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>

Set up highlighting ads feature: <br>
<select name='hltadsf' class='formst'>
<option>".opt_qt($hltadsf)."<checked><option>yes<option>no</select>
<p>
Expiration period for highlighted ads (days):<br>
<input type='text' name='exp_perdhlt' value='".opt_qt($exp_perdhlt)."' class='formst'>
 
</td><td valign='top' width='50%'>

<p align='justify'> 
 All photos and attachments will be displayed only on highlighted ads,
 on other ads only one small photo will be displayed:<br> 
<select name='dsplhltpht' class='formst'>
<option>".opt_qt($dsplhltpht)."<checked><option>yes<option>no</select> 
 

 
<p align='justify'> 
Font option for the title of highlighted ads on the index page:<br> 
<input type='text' name='colr_hltads' value='".opt_qt($colr_hltads)."' class='formst'>
 
<p align='justify'> 
Caption for highlighted ads:<br>
<input type='text' name='capt_hltads' value='".opt_qt($capt_hltads)."' class='formst'>
 

</td></tr></table>

<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
&nbsp; Privacy Mail, Messages
</td></tr></table>

<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>
Set up privacy mail: <br>
<select name='privacy_mail' class='formst'>
<option>".opt_qt($privacy_mail)."<checked><option>yes<option>no</select>

<p align='justify'>
Privacy mail template:<br>

<textarea rows='8' cols='40' name='pmailtp' wrap=off class=formst>$pmailtp</textarea> 
 
<p align='justify'> 
Send ads (and new membership subscribing) notification e-mails 
to admin  with edit/moderate/delete links <br>
<select name='sndadmnotif' class='formst'>
<option>".opt_qt($sndadmnotif)."<checked><option>yes<option>no</select>

</td><td valign='top' width='50%'>

 If privacy mail is set up, send copy of privacy messages 
 to admin: <br>
<select name='sendcopytoadm' class='formst'>
<option>".opt_qt($sendcopytoadm)."<checked><option>yes<option>no</select>
 
<p align='justify'>
 If privacy mail is set up , redirect privacy messages 
 to admin:<br>
<select name='redirtoadm' class='formst'>
<option>".opt_qt($redirtoadm)."<checked><option>yes<option>no</select>

<p align='justify'>
 Send expiration message to ads owners when their expired ads were deleted 
 (you can edit expiration message  in the file expmsg.php):<br>
<select name='sndexpmsg1' class='formst'>
<option>".opt_qt($sndexpmsg1)."<checked><option>yes<option>no</select>

</td></tr></table>

<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp;Ads Photos, Attachments
</td></tr></table>

<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>

Max number of photos allowed:<br>
<input type='text' name='photos_count' value='".opt_qt($photos_count)."' class='formst'> 

<p align='justify'>
Set max size for all photos on the second ad page (bytes):<br>
<input type='text' name='phptomaxsize' value='".opt_qt($phptomaxsize)."' class='formst'> 

<p align='justify'>
Width of preview photos on the second ad page (pixels):<br>
<input type='text' name='prphscnd' value='".opt_qt($prphscnd)."' class='formst'> 

<p align='justify'>
Max width of photos on the second ad page (pixels):<br>
<input type='text' name='maximgswith' value='".opt_qt($maximgswith)."' class='formst'> 
 
<p align='justify'>
Set up resizing of large photos before saving in the database:<br>
<select name='resphdb' class='formst'>
<option>".opt_qt($resphdb)."<checked><option>yes<option>no</select>
 
<p align='justify'>
Max width or height (pixels) of photos for resizing:<br>
<input type='text' name='maxpixph' value='".opt_qt($maxpixph)."' class='formst'>

<p align='justify'>
Create preview photos thumbnails on ads index from first photos of ads (yes, no):<br>
<select name='prphscr' class='formst'>
<option>".opt_qt($prphscr)."<checked><option>yes<option>no</select>
 

 
<p align='justify'>
Width for preview photos thumbnails:<br>
<input type='text' name='prphscrwdth' value='".opt_qt($prphscrwdth)."' class='formst'>
 

<p align='justify'>
Width for preview photo on ads layers:<br> 
<input type='text' name='prwdly' value='".opt_qt($prwdly)."' class='formst'>
 
</td><td valign='top' width='50%'>
 
Includes attachment file into ads:<br>
<select name='incl_mtmdfile' class='formst'>
<option>".opt_qt($incl_mtmdfile)."<checked><option>yes<option>no</select>

<p align='justify'>
Max size for attachment file (bytes):<br>
<input type='text' name='mtmdfile_maxs' value='".opt_qt($mtmdfile_maxs)."' class='formst'> 

<p align='justify'>
Types of extensions for ads attachment files:<br>
<input type='text' name='flattchext' value=\"".opt_arr($flattchext)."\" class='formst' size=40> 

<p align='justify'>
Allow users to place files for ads on popular file servers:<br> 
<select name='plsflsrvrs' class='formst'>
<option>".opt_qt($plsflsrvrs)."<checked><option>yes<option>no</select>
 
<p align='justify'>
Info about loading ad files on popular file servers:<br> 
<textarea rows='8' cols='40' name='infldflsrv' wrap=off class=formst>".opt_qt($infldflsrv)."</textarea> 


</td></tr></table>
  

<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp; Membership, E-Commerce
</td></tr></table>


<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>

Set up free (f) or membership (m) option for access to ad second page :<br> 
<select name='mbac_second' class='formst'>
<option>".opt_qt($mbac_second)."<checked><option>f<option>m</select>
&nbsp;
<font   class='fnt4'   OnClick=\"displ('acspg');\">
Special Option
</font>
<DIV id='acspg' style='DISPLAY: none'>
Set up  different   option:<br>
<select name='mbac_second_vl' class='formst'>
<option>".opt_qt($mbac_second_vl)."<checked><option>f<option>m</select>
<br> for the following categories:<br>
<input type='text' name='mbac_second_ct' value='".opt_qt($mbac_second_ct)."' class='formst' size='40'>
<br> 
<font style='FONT-SIZE: 11px;'>(set up list of the categories in the format:  
<center><font style='color: #000099;'>catname1,catname2,catname3</font> </center>  where
<font style='color: #000077;'>catname1, ...</font> - are the short names of the categories)</font>
</div>

<p align='justify'>
Set up free (f) or membership (m) option for submitting new ads:<br> 
<select name='mbac_addad' class='formst'>
<option>".opt_qt($mbac_addad)."<checked><option>f<option>m</select>
&nbsp;
<font   class='fnt4'   OnClick=\"displ('adsbm');\">
Special Option
</font>
<DIV id='adsbm' style='DISPLAY: none'>
Set up  different  option:<br>
<select name='mbac_addad_vl' class='formst'>
<option>".opt_qt($mbac_addad_vl)."<checked><option>f<option>m</select>
<br> for the following categories:<br>
<input type='text' name='mbac_addad_ct' value='".opt_qt($mbac_addad_ct)."' class='formst' size='40'>
<br> 
<font style='FONT-SIZE: 11px;'>(set up list of the categories in the format:  
<center><font style='color: #000099;'>catname1,catname2,catname3</font> </center>  where
<font style='color: #000077;'>catname1, ...</font> - are the short names of the categories)</font>
</div>



<p align='justify'>
Set up free (f) or membership (m) option for sending privacy mails:<br>
<select name='mbac_sndml' class='formst'>
<option>".opt_qt($mbac_sndml)."<checked><option>f<option>m</select>
&nbsp;
<font   class='fnt4'   OnClick=\"displ('sndprml');\">
Special Option
</font>
<DIV id='sndprml' style='DISPLAY: none'>
Set up  different option:<br>
<select name='mbac_sndml_vl' class='formst'>
<option>".opt_qt($mbac_sndml_vl)."<checked><option>f<option>m</select>
<br> for the following categories:<br>
<input type='text' name='mbac_sndml_ct' value='".opt_qt($mbac_sndml_ct)."' class='formst' size='40'>
<br> 
<font style='FONT-SIZE: 11px;'>(set up list of the categories in the format:  
<center><font style='color: #000099;'>catname1,catname2,catname3</font> </center>  where
<font style='color: #000077;'>catname1, ...</font> - are the short names of the categories)</font>
</div>

</td><td valign='top' width='50%'>

<p align='justify'>
Activate ads by PayPal payment (moderating option should have value 'yes')
(this feature works with the additional PayPal module):<br>
<select name='ppactv' class='formst'>
<option>".opt_qt($ppactv)."<checked><option>yes<option>no</select>


</td></tr></table>

<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp;Layouts, Sizes, Colors
</td></tr></table>
 
<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>

Choose type of ads index:<br> '1' - ads fields on table coulmns, <br> '2' - one ad per one table:<br>
<select name='tpadsindd' class='formst'>
<option>".opt_qt($tpadsindd)."<checked><option>1<option>2</select>

<p align='justify'>
Width for ads table for format '2':<br> 
<input type='text' name='width_2tpf' value='".opt_qt($width_2tpf)."' class='formst'>
 

<p align='justify'>
Background color on the ads index with format '2':<br>
<input type='text' name='bc2adsfrm' value='".opt_qt($bc2adsfrm)."' class='formst'>
 
<p align='justify'>
 Colors for tables on the index and top pages:<br>
<input type='text' name='tbclr_1' value='".opt_qt($tbclr_1)."' class='formst'><br>
<input type='text' name='tbclr_2' value='".opt_qt($tbclr_2)."' class='formst'><br>
<input type='text' name='tbclr_3' value='".opt_qt($tbclr_3)."' class='formst'>

 

<p align='justify'>
 Background color for ads and forms:<br>
<input type='text' name='tbclr_4' value='".opt_qt($tbclr_4)."' class='formst'>
 
<p align='justify'>
Font  color for ad fields and categories:<br>
<input type='text' name='fntclr_1' value='".opt_qt($fntclr_1)."' class='formst'>
 

</td><td valign='top' width='50%'>

<p align='justify'>
Background and font color for fields captions on the index page:<br>
<input type='text' name='tbclr_5' value='".opt_qt($tbclr_5)."' class='formst'><br>
<input type='text' name='fntclr_2' value='".opt_qt($fntclr_2)."' class='formst'>
 

<p align='justify'>
Font color for  fields captions on the second ad page:<br>
<input type='text' name='fntclr_3' value='".opt_qt($fntclr_3)."' class='formst'>

 

<p align='justify'>
 Width of the second ad page (pixels):<br>
<input type='text' name='ad_second_width' value='".opt_qt($ad_second_width)."' class='formst'>

<p align='justify'>
Width of the top page (pixels):<br>
<input type='text' name='top_page_width' value='".opt_qt($top_page_width)."' class='formst'> 
 

<p align='justify'>
 Width of the index page (pixels):<br>
<input type='text' name='ad_ind_width' value='".opt_qt($ad_ind_width)."' class='formst'>
 
 
</td></tr></table>





<p>
<table width='700'    border='0' cellspacing='1' cellpadding='0'> 
<tr><td  class='frmft1'>
 &nbsp;Layout Headers/Footers
</td></tr></table>


<table width='700'    border='0' cellspacing='10' cellpadding='10'> 
<tr><td valign='top' width='50%'>

Title for  classifieds pages:<br>
<input type='text' name='titleclpg' value='".opt_qt($titleclpg)."' class='formst' size=80>

<p align='justify'>
Set up html header for  pages  generated by the script:<br>
<textarea rows='15' cols='90' name='html_header' wrap=off class=formst>".opt_qt($html_header)."</textarea>
 
<p align='justify'>
Set up html footer  for pages generated by the script:<br>
<textarea rows='15' cols='90' name='html_footer' wrap=off class=formst>".opt_qt($html_footer)."</textarea>

<p align='justify'>
Additional ad banner column for ads index format '2' :<br>
<textarea rows='15' cols='90' name='adbnrcll' wrap=off class=formst>".opt_qt($adbnrcll)."</textarea>

<p align='justify'>
 Set up info for left column on the top page:<br>
<textarea rows='15' cols='90' name='top_leftcol' wrap=off class=formst>".opt_qt($top_leftcol)."</textarea>
 

<p >
 Set up info for right column on the top page (for layout 1 only):<br>
 It should begin with html tag &#060;td&#062; and finish with tag &#060;/td&#062;
<textarea rows='15' cols='90' name='top_rightcol' wrap=off class=formst>".opt_qt($top_rightcol)."</textarea>
 

<p align='justify'>
Set up html info for the bottom  after categories list on the top page (for layout 1 only):<br>
<textarea rows='15' cols='90' name='btmtophtml' wrap=off class=formst>".opt_qt($btmtophtml)."</textarea>
 

<p align='justify'>
 Set up info for left column on the ads index page:<br>
 (It should begin with html tag &#060;td&#062; and finish with tag &#060;/td&#062;) <br>
<textarea rows='15' cols='90' name='ind_leftcol' wrap=off class=formst>".opt_qt($ind_leftcol)."</textarea>
 

<p align='justify'>
Set up info for left column on the  page with ads details:<br>
  (It should begin with html tag &#060;td&#062; and finish with tag &#060;/td&#062;) <br>
<textarea rows='15' cols='90' name='detl_leftcol' wrap=off class=formst>".opt_qt($detl_leftcol)."</textarea>
</td></tr></table>
<input type='submit' value='Save Options' class='formst1'>
</form>
 
";
 
}

function saveoptset()
{
global $opt_post, $conf_dir, $opt_header, $opt_footer;

$opt_post['photos_path']=checkendslash($opt_post['photos_path']);
$opt_post['photos_url']=checkendslash($opt_post['photos_url']);
$opt_post['urlclscrpt']=checkendslash($opt_post['urlclscrpt']);

$cfgstr=$cfgstr.save_opt('db_name');
$cfgstr=$cfgstr.save_opt('host_name');
$cfgstr=$cfgstr.save_opt('db_user');
$cfgstr=$cfgstr.save_opt('db_password');
$cfgstr=$cfgstr.save_opt('table_ads');
$cfgstr=$cfgstr.save_opt('urlclscrpt');
$cfgstr=$cfgstr.save_opt('adm_passw');
$cfgstr=$cfgstr.save_opt('adm_email');
$cfgstr=$cfgstr.save_opt('photos_path');
$cfgstr=$cfgstr.save_opt('photos_url');
$cfgstr=$cfgstr.save_opt('usevrfcode');
$cfgstr=$cfgstr.save_opt('plcntdtl');
$cfgstr=$cfgstr.save_opt('vstminnmbr');
$cfgstr=$cfgstr.save_opt('plcntpml');
$cfgstr=$cfgstr.save_opt('voterate');
$cfgstr=$cfgstr.save_opt('maxvalrate');
$cfgstr=$cfgstr.save_opt('uselogsvmv');
$cfgstr=$cfgstr.save_opt('exprlogs');
$cfgstr=$cfgstr.save_opt('table_logs');
$cfgstr=$cfgstr.save_opt('use_spmg');
$cfgstr=$cfgstr.save_opt('exp_period');
$cfgstr=$cfgstr.save_opt('adsonpage');
$cfgstr=$cfgstr.save_opt('sndadmnotif');
$cfgstr=$cfgstr.save_opt('moderating');
$cfgstr=$cfgstr.save_opt('hltadsf');
$cfgstr=$cfgstr.save_opt('exp_perdhlt');
$cfgstr=$cfgstr.save_opt('dsplhltpht');
$cfgstr=$cfgstr.save_opt('pradsdupl');
$cfgstr=$cfgstr.save_opt('tmltads');
$cfgstr=$cfgstr.save_opt('privacy_mail');
$cfgstr=$cfgstr.save_opt('pmailtp');
$cfgstr=$cfgstr.save_opt('sendcopytoadm');
$cfgstr=$cfgstr.save_opt('redirtoadm');
$cfgstr=$cfgstr.save_opt('sndexpmsg1');
$cfgstr=$cfgstr.save_opt('photos_count');
$cfgstr=$cfgstr.save_opt('phptomaxsize');
$cfgstr=$cfgstr.save_opt('incl_mtmdfile');
$cfgstr=$cfgstr.save_opt('mtmdfile_maxs');
$cfgstr=$cfgstr.save_arr('flattchext');
$cfgstr=$cfgstr.save_opt('plsflsrvrs');
$cfgstr=$cfgstr.save_opt('infldflsrv');
$cfgstr=$cfgstr.save_opt('prphscnd');
$cfgstr=$cfgstr.save_opt('maximgswith');
$cfgstr=$cfgstr.save_opt('resphdb');
$cfgstr=$cfgstr.save_opt('maxpixph');
$cfgstr=$cfgstr.save_opt('ppactv');
$cfgstr=$cfgstr.save_opt('mbac_sndml');
$cfgstr=$cfgstr.save_opt('mbac_addad');
$cfgstr=$cfgstr.save_opt('mbac_second');
$cfgstr=$cfgstr.save_opt('jsfrmch');
$cfgstr=$cfgstr.save_opt('setctlntp');
$cfgstr=$cfgstr.save_opt('schallusrads');
$cfgstr=$cfgstr.save_opt('ch_nmusr');
$cfgstr=$cfgstr.save_opt('usrads_max');
$cfgstr=$cfgstr.save_opt('usrads_chcktime');
$cfgstr=$cfgstr.save_opt('titleclpg');
$cfgstr=$cfgstr.save_opt('html_header');
$cfgstr=$cfgstr.save_opt('html_footer');

$cfgstr=$cfgstr.save_opt('adsontoppage');
$cfgstr=$cfgstr.save_opt('colr_hltads');
$cfgstr=$cfgstr.save_opt('capt_hltads');
$cfgstr=$cfgstr.save_opt('tpadsindd');
$cfgstr=$cfgstr.save_opt('bc2adsfrm');
$cfgstr=$cfgstr.save_opt('width_2tpf');
$cfgstr=$cfgstr.save_opt('adbnrcll');
$cfgstr=$cfgstr.save_opt('fntclr_3');
$cfgstr=$cfgstr.save_opt('fntclr_2');
$cfgstr=$cfgstr.save_opt('tbclr_5');
$cfgstr=$cfgstr.save_opt('fntclr_1');
$cfgstr=$cfgstr.save_opt('tbclr_4');
$cfgstr=$cfgstr.save_opt('tbclr_3');
$cfgstr=$cfgstr.save_opt('tbclr_2');
$cfgstr=$cfgstr.save_opt('tbclr_1');
$cfgstr=$cfgstr.save_opt('prphscrwdth');
$cfgstr=$cfgstr.save_opt('prphscr');
$cfgstr=$cfgstr.save_opt('ad_ind_width');
$cfgstr=$cfgstr.save_opt('top_page_width');
$cfgstr=$cfgstr.save_opt('prphscnd');
$cfgstr=$cfgstr.save_opt('ad_second_width');
$cfgstr=$cfgstr.save_opt('detl_leftcol');
$cfgstr=$cfgstr.save_opt('ind_leftcol');
$cfgstr=$cfgstr.save_opt('btmtophtml');
$cfgstr=$cfgstr.save_opt('top_rightcol');
$cfgstr=$cfgstr.save_opt('top_leftcol');
$cfgstr=$cfgstr.save_opt('prwdly');

$cfgstr=$cfgstr.save_opt2('moderating_ct');
$cfgstr=$cfgstr.save_opt('moderating_vl');
$cfgstr=$cfgstr.save_opt2('mbac_second_ct');
$cfgstr=$cfgstr.save_opt('mbac_second_vl');
$cfgstr=$cfgstr.save_opt2('mbac_addad_ct');
$cfgstr=$cfgstr.save_opt('mbac_addad_vl');
$cfgstr=$cfgstr.save_opt2('mbac_sndml_ct');
$cfgstr=$cfgstr.save_opt('mbac_sndml_vl');

$cfgstr="<?
$cfgstr
?>";

savecfl($cfgstr, "conf_opt.php");
echo "
<p>&nbsp;<p><font class='fntmsg1'> Options have been saved successfully !</font>
<p>
 
";
}
?>